Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{id}/activities \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"type": "vl.program.created",
"data": {
"program": {
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"group_id": "<string>",
"source": {
"channel": "USER_PORTAL",
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
},
"program_id": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of activities for a specific program. Supports filtering by activity id, type, and created_at.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{id}/activities \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"type": "vl.program.created",
"data": {
"program": {
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"group_id": "<string>",
"source": {
"channel": "USER_PORTAL",
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
},
"program_id": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
^lprg_[a-f0-9]+$Filter by activity id. Supports conditions $is, $is_not, $in, $not_in.
Filter by activity type. Supports conditions $is, $is_not, $in, $not_in.
Valid values: vl.program.created, vl.program.updated, vl.program.deleted,
vl.program.activated, vl.program.deactivated,
vl.program.card_definition.assigned, vl.program.card_definition.unassigned,
vl.program.earning_rule.assigned, vl.program.earning_rule.unassigned,
vl.program.reward.assigned, vl.program.reward.unassigned,
vl.program.tier_structure.assigned, vl.program.tier_structure.unassigned
Filter by activity creation date.
Logical junction for combining activity filters
AND, OR Maximum number of results to return (1-100, default 10)
1 <= x <= 100Sort order for activities
created_at, -created_at Cursor for pagination (from previous response)
^lcrsapr_[a-f0-9]+$Was this page helpful?